Name:          ibatis
Version:       2.3.4.726
Release:       %mkrel 1
Summary:       SQL Mapping Framework for Java
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/mybatis/
# svn export http://mybatis.googlecode.com/svn/tags/java_release_2.3.4-726/ibatis-2-core/ ibatis-2.3.4.726
# tar czf ibatis-2.3.4.726-src-svn.tar.gz ibatis-2.3.4.726
Source0:       ibatis-2.3.4.726-src-svn.tar.gz
Source1:       ibatis-2.3.4.726-depmap
Patch0:        ibatis-2.3.4.726-pom_xml.patch

BuildRequires: apache-commons-dbcp
BuildRequires: apache-commons-logging
#BuildRequires: asm
BuildRequires: cglib21
BuildRequires: derby
BuildRequires: geronimo-jta-1.0.1B-api
BuildRequires: hsqldb
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: oscache

BuildRequires: buildnumber-maven-plugin
BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-changelog-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-report-plugin
BuildRequires: java-1.5.0-gcj-devel

Requires:      apache-commons-dbcp
Requires:      apache-commons-logging
Requires:      cglib21
Requires:      geronimo-jta-1.0.1B-api
Requires:      hsqldb
Requires:      liblog4j-java
Requires:      oscache

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The iBATIS Data Mapper framework makes it easier to use a database with Java and .NET applications.
iBATIS couples objects with stored procedures or SQL statements using a XML descriptor. Simplicity
is the biggest advantage of the iBATIS Data Mapper over object relational mapping tools.

To use the iBATIS Data Mapper, you rely on your own objects, XML, and SQL. There is little to learn that
you don't already know. With the iBATIS Data Mapper, you have the full power of both SQL and stored
procedures at your fingertips. 

%package javadoc
Summary:       API documentation for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains Maven plugin for %{name}

%prep
%setup -q
rm -rf build/*.bat devlib/*
for j in $(find . -name "*.jar"); do
   mv $j $j.no
done

sed -i "s|<version>SNAPSHOT</version>|<version>%{version}</version>|" pom.xml

sed -i 's|<finalName>${project.artifactId}-${project.version}-r${buildNumber}</finalName>|<finalName>${project.artifactId}-${project.version}</finalName>|' pom.xml
sed -i 's|<Implementation-Version>${project.version}-r${buildNumber}</Implementation-Version>|<Implementation-Version>${project.version}</Implementation-Version>|' pom.xml

# buildnumber-maven-plugin
sed -i "s|<version>0.9.4</version>|<version>1.0</version>|" pom.xml
sed -i "s|maven-buildnumber-plugin|buildnumber-maven-plugin|" pom.xml

sed -i "s|<source>1.4</source>|<source>1.5</source>|" pom.xml
sed -i "s|<target>1.4</target>|<target>1.5</target>|" pom.xml

%patch0 -p0

%build
export JAVA_HOME=%{_jvmdir}/java-1.5.0
mvn-rpmbuild -e \
  -Dmaven.local.depmap.file=%{SOURCE1} \
  -Dmaven.test.skip=true \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-sqlmap-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc doc/*.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Oct 27 2011 gil <gil> 2.3.4.726-1.mga2
+ Revision: 158823
- imported package ibatis

